%define pname OpenSSL

Summary:	Python interface to the OpenSSL library
Name:		python-%{pname}
Version:	0.13.1
Release:	6
License:	LGPLv2.1+
Group:		Development/Python
Url:		https://launchpad.net/pyopenssl
Source0:	http://launchpad.net/pyopenssl/main/%{version}/+download/py%{pname}-%{version}.tar.gz
BuildRequires:	latex2html
BuildRequires:	texlive
BuildRequires:	texlive-babel
BuildRequires:	texlive-babel-english
BuildRequires:	texlive-courier
BuildRequires:	texlive-dehyph-exptl
BuildRequires:	texlive-ec
BuildRequires:	texlive-fancyhdr
BuildRequires:	texlive-helvetic
BuildRequires:	texlive-psnfss
BuildRequires:	texlive-times
BuildRequires:	texlive-tools
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)
Requires:	python
Provides:	pyOpenSSL = %{EVRD}

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.
It includes SSL Context objects, SSL Connection objects, using Python
sockets as a transport layer.

* SSL Context objects;
* SSL Connection objects, that use Python sockets as a transport layer;
* callbacks written in Python;
* an extensive error-handling mechanism that mirrors OpenSSL's error codes;
* and much more.

%files
%doc TODO README ChangeLog examples/ doc/pyOpenSSL.pdf
%{python_sitearch}/*

#----------------------------------------------------------------------------

%prep
%setup -qn py%{pname}-%{version}

%build
%__python setup.py build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

pushd doc
make dvi PAPER=letter
dvipdfm pyOpenSSL.dvi
popd


%changelog

* Wed Mar 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.13.1-6
- (43f25ba) Build requires texlive-dehyph-exptl


